com.independentsoft.msg

## Enum TaskOwnership

- java.lang.Object
- - java.lang.Enum<TaskOwnership>
  - - com.independentsoft.msg.TaskOwnership

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TaskOwnership>

      public enum TaskOwnership
      extends java.lang.Enum<TaskOwnership>

  Indicates the ownership state of the task.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELEGATED` Specifies that task has been delegated to another user.
    `NEW` Specifies that task has not yet been assigned to a user.
    `NONE` None.
    `OWN` Specifies that task is assigned to the current user.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskOwnership` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TaskOwnership[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final TaskOwnership NEW

      Specifies that task has not yet been assigned to a user.

    - #### DELEGATED

          public static final TaskOwnership DELEGATED

      Specifies that task has been delegated to another user.

    - #### OWN

          public static final TaskOwnership OWN

      Specifies that task is assigned to the current user.

    - #### NONE

          public static final TaskOwnership NONE

      None.

  - ### Method Detail

    - #### values

          public static TaskOwnership[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskOwnership c : TaskOwnership.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskOwnership valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null